> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getplum.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Compare multiple prompts against a dataset



## OpenAPI

````yaml https://raw.githubusercontent.com/getplumai/docs/refs/heads/main/api-reference/openapi.yaml post /compare_prompts
openapi: 3.0.0
info:
  title: Plum API
  version: 1.1.0
servers:
  - url: https://beta.getplum.ai/v1
security: []
paths:
  /compare_prompts:
    post:
      summary: Compare multiple prompts against a dataset
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                system_prompts:
                  type: array
                  items:
                    type: string
                seed_data_id:
                  type: string
                  description: >-
                    ID of seed dataset to use (either this or synthetic_data_id
                    is required)
                synthetic_data_id:
                  type: string
                  description: >-
                    ID of synthetic dataset to use (either this or seed_data_id
                    is required)
                metrics_id:
                  type: string
                model_name:
                  type: string
                model_provider:
                  type: string
              required:
                - system_prompts
                - model_name
                - model_provider
      responses:
        '200':
          description: Prompts successfully compared
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: object
                    properties:
                      prompts:
                        type: array
                        items:
                          type: string
                      comparisons:
                        type: array
                        items:
                          type: object
                      metrics_id:
                        type: string
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````